//	IC_Main.c

#include <stdio.h>
#include "IC_Errors.h"
#include "IC_FileIO.h"
#include "DosCatalog.h"
#include "CDesktop.h"
#include "IC_Main.h"
/*
	someday
	
	the disks will read their own files
		if isdos
			convert to .do
			mount
		else if 
*/

//static	CDiskOwner		*diskOwner;

/*

void	ImageMount(FSSpecPtr fileSpecP) 
{
	CDesktop_MountImage(0, fileSpecP);
}

	if (!diskOwner) {
		diskOwner = new(CDiskOwner);
		diskOwner->IDiskOwner();
	}
	
	diskOwner->AddDisk(fileSpecP);
*/
/*
	OSErr			err = noErr;
	IC_ImageType 	oldType;
	
	if (!err) err = FSpGetDiskImageOrder(fileSpecP, &oldType);
	if (!err) err = ReadImage(fileSpecP);
	if (!err) {
		if (oldType != IC_Image_STM) {
			err = ConvertImage(oldType, IC_Image_STM);
		} else {
			G_outBuffer = G_inBuffer;
		}
	}
	
	if (!err) {
		if (IsDos(&G_outBuffer)) {
			err = DosCatalog(&G_outBuffer);
		} else if (IsPro(&G_outBuffer)) {
			err = ProCatalog(&G_outBuffer);
		} else {
			printf("\nError: Unsupported file system\n");
		}
	}
	
	if (err) {
		ReportError(err);
		err = noErr;
	}
}

*/